Package org.drinkless.tdlib

# Class TdApi.MessageReplyToMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageReplyTo
org.drinkless.tdlib.TdApi.MessageReplyToMessage

Enclosing class:
  `TdApi`

public static class TdApi.MessageReplyToMessage extends TdApi.MessageReplyTo
Describes a message replied by a given message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageReplyTo

  `TdApi.MessageReplyTo.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  The identifier of the chat to which the message belongs; may be 0 if the replied message is in unknown chat.
  `int`
  `checklistTaskId`
  Identifier of the checklist task in the original message that was replied; 0 if none.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageContent`
  `content`
  Media content of the message if the message was from another chat or topic; may be null for messages from the same chat and messages without media.
  `long`
  `messageId`
  The identifier of the message; may be 0 if the replied message is in unknown chat.
  `TdApi.MessageOrigin`
  `origin`
  Information about origin of the message if the message was from another chat or topic; may be null for messages from the same chat.
  `int`
  `originSendDate`
  Point in time (Unix timestamp) when the message was sent if the message was from another chat or topic; 0 for messages from the same chat.
  `String`
  `pollOptionId`
  Identifier of the poll option in the original message that was replied; empty if none.
  `TdApi.TextQuote`
  `quote`
  Chosen quote from the replied message; may be null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageReplyToMessage()`
  Describes a message replied by a given message.
  `MessageReplyToMessage(long chatId, long messageId, TdApi.TextQuote quote, int checklistTaskId, String pollOptionId, TdApi.MessageOrigin origin, int originSendDate, TdApi.MessageContent content)`
  Describes a message replied by a given message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    The identifier of the chat to which the message belongs; may be 0 if the replied message is in unknown chat.

  - ### messageId

    public long messageId
    The identifier of the message; may be 0 if the replied message is in unknown chat.

  - ### quote

    @Nullable public TdApi.TextQuote quote
    Chosen quote from the replied message; may be null if none.

  - ### checklistTaskId

    public int checklistTaskId
    Identifier of the checklist task in the original message that was replied; 0 if none.

  - ### pollOptionId

    public String pollOptionId
    Identifier of the poll option in the original message that was replied; empty if none.

  - ### origin

    @Nullable public TdApi.MessageOrigin origin
    Information about origin of the message if the message was from another chat or topic; may be null for messages from the same chat.

  - ### originSendDate

    public int originSendDate
    Point in time (Unix timestamp) when the message was sent if the message was from another chat or topic; 0 for messages from the same chat.

  - ### content

    @Nullable public TdApi.MessageContent content
    Media content of the message if the message was from another chat or topic; may be null for messages from the same chat and messages without media. Can be only one of the following types: messageAnimation, messageAudio, messageChecklist, messageContact, messageDice, messageDocument, messageGame, messageGiveaway, messageGiveawayWinners, messageInvoice, messageLocation, messagePaidMedia, messagePhoto, messagePoll, messageStakeDice, messageSticker, messageStory, messageText (for link preview), messageVenue, messageVideo, messageVideoNote, or messageVoiceNote.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageReplyToMessage

    public MessageReplyToMessage()
    Describes a message replied by a given message.

  - ### MessageReplyToMessage

    public MessageReplyToMessage(long chatId, long messageId, TdApi.TextQuote quote, int checklistTaskId, String pollOptionId, TdApi.MessageOrigin origin, int originSendDate, TdApi.MessageContent content)
    Describes a message replied by a given message.
    Parameters:
      `chatId` - The identifier of the chat to which the message belongs; may be 0 if the replied message is in unknown chat.
      `messageId` - The identifier of the message; may be 0 if the replied message is in unknown chat.
      `quote` - Chosen quote from the replied message; may be null if none.
      `checklistTaskId` - Identifier of the checklist task in the original message that was replied; 0 if none.
      `pollOptionId` - Identifier of the poll option in the original message that was replied; empty if none.
      `origin` - Information about origin of the message if the message was from another chat or topic; may be null for messages from the same chat.
      `originSendDate` - Point in time (Unix timestamp) when the message was sent if the message was from another chat or topic; 0 for messages from the same chat.
      `content` - Media content of the message if the message was from another chat or topic; may be null for messages from the same chat and messages without media. Can be only one of the following types: messageAnimation, messageAudio, messageChecklist, messageContact, messageDice, messageDocument, messageGame, messageGiveaway, messageGiveawayWinners, messageInvoice, messageLocation, messagePaidMedia, messagePhoto, messagePoll, messageStakeDice, messageSticker, messageStory, messageText (for link preview), messageVenue, messageVideo, messageVideoNote, or messageVoiceNote.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageReplyTo`
    Returns:
      this.CONSTRUCTOR